@import url('https://fonts.googleapis.com/css?family=Rubik:ital,wght@0,300;0;400;1,300&display=swap');

body{
    margin: 0;
    padding: 0;
    box-sizing: 0;
    background-color: #fff;
    font-family:'Rubik',sans-serif;
    overflow-y:visible;
}
/* this is navbar css */
.logo{
    color: black;
    font-size: 20px;
    font-style: normal;
    font-weight: bold;
}
.nav{
    display: flex;
    margin-top:40px;
    margin-left: 15%;
    margin-right: 15%;
}
.nav .menu a img{
    display: none;
}
.links li,ul{
    display: inline-block;
    list-style: none;
    margin-left: 30px;
}
.links a{
    text-decoration: none;
    color: black;
    font-size: 18px;
    font-style: normal;
}
.links li a:hover{
    color: #0069b4;
    transition: 0.5s;
}
.links{
    margin-left:auto;
}
.links li:last-child a{
    border: 1px solid #0069b4;
    padding:8px 25px;
    background-color:#0069b4;
    border-radius: 5px;
    box-shadow: 0px 11px 37px -17px black;
    color: aliceblue;
}
.links li:last-child a:hover{
    background-color:#fff;
    color:#0069b4;
    transition:0.6s;
}
@media (max-width:975px)  {
    .links a{
        text-decoration: none;
        color: black;
        font-size: 15px;
        font-style: normal;
    }
}
@media (max-width:895px)  {
    .links a{
        text-decoration: none;
        color: black;
        font-size: 13px;
        font-style: normal;
    }
}
@media (max-width:850px)  {
    .nav .menu a img{
        display: block;
        margin-top: 20px;
        width: 25px;
        margin-left: auto;
        
    }
    .nav .menu {
        margin-left: auto;
        
    }
.nav .links{
    position: fixed;
    border: 1px solid #15161D;
    width: 200px;
    left: -100%;
    overflow: hidden;
    z-index: 22;
    height:100%;
    top: 0;
    transition: 0.5s all;
    padding: 0;
    background-color: #15161D;
    line-height: 4;
    margin-left: 0;
    }
    .nav .links ul li a{
        color: #fff;
        font-size: 13px;
    }
    .nav .links ul li{
        margin-left: 0;
        display:block;
        text-align:center;
    }
    .nav .links ul{
        margin-top: 60px;
        margin-left: 0;
        display: inline;

    }
    .nav .active{
        left: 0;
    }
    .links ul li a:hover{
        color: #0069b4;
        transition: 0.5s;
    }
    .links li:last-child a:hover{
        background-color:#15161D;
        color:#0069b4;
        transition:0.6s;
    }
}
/* image publi code css*/
.img_pub{
    margin-left: 15%;
    margin-right: 15%;
}
.img_pub img{
    display:block;
    max-width: 100%;
    margin: 0 auto;
    margin-top: -30px;
}
/* end image publi code css*/
/* cars */
/* place for search car and trucks code */
.search-car-container{
    margin-left: 0%;
    margin-right: 0%;
    background: linear-gradient(180deg,#0069b4 0,#0069b4 65%,#fff 0,#fff);
}
.search-car{
    margin-left: 15%;
    margin-right: 15%;
}
.search-car .first-p{
    font-size: 30px;
    font-weight: bold;
    letter-spacing: 2px;
    color: #fff;
    padding-top: 30px;
}
.search-car .first-p::after{
    content: " ";
    border: 1px solid red;
    background-color: red;
    border-radius: 3px;
    position: absolute;
    padding-top: 2px;
    margin-top: 37px;
    width:63px;
    margin-left: -405px;
}
.search-car .type-car{
    display: flex;
    white-space: nowrap;
    margin-top:50px;
    margin-left:50px;
}
.search-car .type-car button{
    display: flex;
    border:none;
    cursor: pointer;
    border: 1px solid #dfe1e4;
    background-color:#fff;
    flex-direction: row;
    padding:20px;
}
.search-car .type-car .truck{
    border-bottom-left-radius: 5px;
    border-top-left-radius: 5px;
    border-right:none;
    width: 230px;
}
.search-car .type-car .car{
    border-bottom-right-radius: 5px;
    border-top-right-radius: 5px;
    border-left:none;
    width: 230px;
}
.search-car .type-car span{
    margin-top: 0;
    margin-left: 1rem;
    font-size: 15px;
    letter-spacing: .15rem;
    margin-top: 5px;
    font-weight: bold;
}
.search-car .type-car button:hover{
    background-color:#0069b4;
    transition: 0.4s;
    color:#fff;
}
.search-car form input[type="text"]{
    border: none;
    border: 1px solid #dfe1e4;
    line-height:3.3;
    border-radius:5px;
    text-align: center;
    font-size: 14px;
    opacity: 0.9;
    font-family:'Times New Roman', Times, serif;
    padding:20px 15px;
    width: 187px;
}
.search-car form input[type="text"]:focus{
    outline:none;
}
.search-car form input[type="text"]:hover{
    border-color: #0069b4;
}
.search-car form .date{
    margin-left: 50px;
    margin-top:40px;
}
.search-car  form .date #RETURN{
    margin-left: 20px;
}
.search-car form .btn{
    text-align: end;
    margin-right: 4.8em;
}
.search-car form .btn .search{
    margin-top: 40px;
    margin-bottom: 50px;
    border: none;
    padding: 1rem 2rem;
    color: #fff;
    background-color: #0069b4;
    font-size: 1.5rem;
    font-weight: 600;
    border-radius: .6rem;
    letter-spacing: .14rem;
    text-transform: uppercase;
    cursor: pointer;
}
.search-car form .btn .search:hover{
    color: #0069b4;
    background-color: #fff;
    border-color: #0069b4;
    transition: 0.2s all;
    box-shadow: 0 0 2rem 0 rgb(0 0 0 / 10%);
}
.search-car form{
    border: 1px solid #dfe1e4;
    background-color:#fff;
    border-radius: .6rem;
    box-shadow: 0 0 2rem 0 rgb(0 0 0 / 10%);
}
/* place for search car and trucks code */
/* place for search car and trucks code for mobile */
@media (max-width:845px){
    .search-car .type-car{
        max-width: 100%;
        margin-right: 53px;
    }
    .search-car  form .date{
        display: inline-grid;
        width: 100%;
        margin-left:50px
    }
    .search-car  form .date #DEPARTURE{
        max-width: max-content;
        width: 100%;
    }
    .search-car  form .date #RETURN{
        margin-top:40px;
        margin-left: 0px;
        max-width: max-content;
        display: block;
        width: 100%;
    }
    .search-car form .btn{
        text-align:left;
        margin-left:50px;
        width: 100%;
    }
    .search-car form input[type="text"]{
        max-width: 200px;
        width: 100%;
    }
}
@media (max-width:610px){    
    .search-car .type-car span{
        font-family: 10px;
        display:block;
        margin-left:0px;
    }
    .search-car .type-car button{
        display: block;
        border:none;
        cursor: pointer;
        border: 1px solid #dfe1e4;
        background-color:#fff;
        padding:15px 5px;
        width: 100%;
    }
    
}
/* END SEARCH CODE */

/* OUR SERVICES CODE */
.services{
    display: flex;
    justify-content: space-around;
    gap: 10px;
    transition: 0,4s;
    margin-top:50px;
    
}

.div1{
    background-color: #FFF;
    width: 300px;
    height: 500px;
    box-shadow: 0px 2px 5px rgba(0,0,0,0.5);
    border: 1px;
    border-radius: 15px 15px 0px 0px;
    transition: 0.4s;
}
.div2{
    background-color: #FFF;
    width: 300px;
    height: 500px;
    box-shadow: 0px 2px 5px rgba(0,0,0,0.5);
    border: 1px;
    border-radius: 15px 15px 0px 0px;
    transition: 0.4s;
}
.div3{
    background-color: #FFF;
    width: 300px;
    height: 500px;
    box-shadow: 0px 2px 5px rgba(0,0,0,0.5);
    border: 1px;
    border-radius: 15px 15px 0px 0px;
    transition: 0.4s;
}
.div4{
    background-color: #FFF;
    width: 300px;
    height: 500px;
    box-shadow: 0px 2px 5px rgba(0,0,0,0.5);
    border: 1px;
    border-radius: 15px 15px 0px 0px;
    transition: 0.4s;
}

.div1:hover{
    transform: translateY(-10px);
}
.div2:hover{
    transform: translateY(-10px);
}
.div3:hover{
    transform: translateY(-10px);
}
.div4:hover{
    transform: translateY(-10px);
}

.centerDiv{
    width: 80%;
    margin-left: 30px;
}

.imgLocation{
    border-radius: 15px 15px 0px 0px;
}

#titreDiv{
    color: #F05454;
    font-family: lato-black;
}

#titreeDiv{
    color: #0069b4;
    position: relative;
    bottom: 10px;
    font-family: lato-black;
    font-size: 20px;
}

#paragraphDiv{
    color: #121212;
    position: relative;
    bottom: 10px;
    font-family: jostl;
    font-size: 16px;
}

#linksDiv{
    text-align: center;
    text-decoration: none;
    color: #30475E;
    font-family: lato-regular;
}


@font-face {
    font-family: lato-regular;
    src: url(Fonts/Lato-Regular.ttf);
}

@font-face {
    font-family: jostl;
    src: url(Fonts/Jost-Light.ttf);
}

@font-face {
    font-family: lato-black;
    src: url(Fonts/Lato-Black.ttf);
}


@media (max-width: 1045px) {
    .services {
flex-direction: column;
gap: 20px;
align-items: center;
    }
}
/* END CSS CODE OUR SERVICES */

/* WHAT WE CAN DO CODE CSS */


.container11{
    
    background-color: #f7f7f7;
    height: auto;
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin: 10px;
    padding: 10px;
    margin-top: 70px;
}
h1{
    text-align: center;
    color: #0069b4;
    margin-top: 50px;
}


.container11 div{
    
display: flex;
flex-direction: column;
align-items: center;
justify-content: center;
padding: 10px;

}
.container11 div *{
    margin: 5px;
}

@media (max-width:745px)  {
    .container11{
        flex-direction: column;
    }
    
}

/* END WHAT WE CAN DO CODE CSS  */

/* FOOTER CODE CSS */
footer ,footer>* {
    text-transform: capitalize;
    height: fit-content;
    margin-top: 20px;
}



footer .block1 {
    text-transform: capitalize;
    display: flex;
    min-height: 95%;
}

footer .block1 table {
    background-color: rgb(254, 254, 254);
    max-width: 85%;
    padding: 10px 10px;
    border-spacing: 15px 0px;
    text-transform: capitalize;
   

}

footer .block1 table tr {
    margin: 0 20px;
    text-transform: capitalize;
}

footer .block1 table tr th {
    color: rgb(101, 101, 207);
    text-align: left;
    height: 5px;
    font-size: medium;
    font-weight: 500;

    text-transform: capitalize;
}

footer .block1 table tr td {
    height: fit-content;
    font-size: small;
    text-transform: capitalize;
    padding: 5px;

}

footer .block1 table tr td a {
    text-decoration: none;
    color: rgb(70, 78, 93);
}



footer .block1 .socialmedia {
    position: relative;
}

footer .block1 .socialmedia ul {

    list-style: none;
    color: #fff;
    display: flex;
    align-items: center;
    position: absolute;
    bottom: 50px;
    left: -35px;

}

footer .block2  {
    height: fit-content;
    background-color: rgb(77, 77, 233);
}
footer .block2 ul{
    padding: 0;
    margin: 5px;
    height: 20px;
}

footer .block2 ul li {
    display: inline-block;
    padding: 0px 20px;
    padding-left: 50px;
    color: #fff;
    font-weight: 500;
    font-size: 15px;
}

.fa {
    padding: 10px;
    font-size: 30px;
    width: 20px;
    text-align: center;
    text-decoration: none;
    margin: 5px 2px;
}

.fa:hover {
    opacity: 0.7;
}

.fa-facebook {
    background: #3B5998;
    color: white;
}

.fa-twitter {
    background: #55ACEE;
    color: white;
}

.fa-linkedin {
    background-color: #4a95cf;
    color: white;
}

@media (max-width:950px) {
    footer{
        margin-top: 50px;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }
    footer .block1{
        display: flex;
        flex-direction: column;
    }
    table thead{
        display: none;
    }
    table , table tbody , table tbody tr td{
        display: block;
        width: 100%;
    }
    table tr{
        padding: 10px;
    }
    table tr::before{
        content: attr(data-title);
        color: rgb(101, 101, 207);
        text-align: left;
        height: 5px;
        font-size: medium;
        font-weight: 500;
        text-transform: capitalize;
        
    }
    
    
        .socialmedia {
            height: 100px;
        }
            footer .block1 .socialmedia ul{
            left:-40px;
            top:20px;
        }
        footer .block2{
            min-width: 100%;
            padding: 10px;
        }
        footer .block2 ul li{
        display: block;
        padding: 10px;
        margin-left: 15px;
    }
}
@media (max-width:610px) {
    footer {
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            justify-content: flex-start;
        }

}
